export class TSideNavController {
    constructor() {
        'ngInject';

        this.menus = [{
                displayName: '主页',
                iconName: 'fa fa-home fa-fw',
                route: 'https://sso.ipay.so/static/index.html?prevStatus=lingxi#/home'
            },
            {
                displayName: '组件Demo',
                iconName: 'fa fa-cutlery fa-fw',
                children: [{
                    displayName: 'LeftMenu',
                    iconName: '',
                    route: 'main.tLeftMenu'
                }, {
                    displayName: 'Counter',
                    iconName: '',
                    route: 'main.tCounter'
                }, {
                    displayName: 'Wizard',
                    iconName: '',
                    route: 'main.tWizard'
                }, {
                    displayName: 'Button',
                    iconName: '',
                    route: 'main.tButton'
                }, {
                    displayName: 'Input',
                    iconName: '',
                    route: 'main.tInput'
                }, {
                    displayName: 'TabGroup',
                    iconName: '',
                    route: 'main.tTabGroup'
                }, {
                    displayName: 'SideNav',
                    iconName: '',
                    route: 'main.tSideNav'
                }]
            },
            {
                displayName: '服务中心',
                iconName: 'fa fa-flag fa-fw',
                children: [{
                    displayName: '积分兑券',
                    children: [{
                        displayName: '礼品管理',
                        iconName: '',
                        route: 'main.tLeftMenu'
                    }, {
                        displayName: '广告装修',
                        iconName: '',
                        route: 'main.tLeftMenu'
                    }, {
                        displayName: '兑换查询',
                        iconName: '',
                        route: 'main.tLeftMenu'
                    }]
                }]
            },
            {
                displayName: '营销中心',
                iconName: 'fa fa-flag fa-fw',
                children: [{
                    displayName: '活动中心',
                    children: [{
                        displayName: '创建新活动',
                        iconName: '',
                        route: 'main.tLeftMenu'
                    }, {
                        displayName: '活动管理',
                        iconName: '',
                        route: 'main.tLeftMenu'
                    }, {
                        displayName: '精准投放',
                        iconName: '',
                        route: 'main.tLeftMenu'
                    }, {
                        displayName: '营销统计',
                        iconName: '',
                        route: 'main.tLeftMenu'
                    }, {
                        displayName: '优惠券核销',
                        iconName: '',
                        route: 'main.tLeftMenu'
                    }]
                }, {
                    displayName: '会员卡',
                    route: 'main.tLeftMenu'
                }]
            },
            {
                displayName: '顾客中心',
                iconName: 'fa fa-user fa-fw',
                route: 'main.tLeftMenu'
            },
            {
                displayName: '门店管理',
                iconName: 'fa fa-flag fa-fw',
                route: 'main.tLeftMenu'
            },
            {
                displayName: '接口配置',
                iconName: 'fa fa-cog fa-fw',
                route: 'main.tLeftMenu'
            }
        ];
    }
}