const titleCss = 'font-size:18px;font-family:PingFangSC-Regular;font-weight:600;color:rgba(70,185,188,1);line-height:24px;';
const contentCss = 'min-width: 300px;font-size:14px;font-family:PingFangSC-Regular;font-weight:600;color:rgba(40,40,40,1);line-height:20px;';

export const koubeiOptions = {
  doneLabel: '退出指引',
  showStepNumbers: false,
  showBullets: false,
  exitOnOverlayClick: false,
  highlightClass: 'hide-introjs-helperLayer',
  steps: [{
    element: '.channel-container .koubei',
    intro: '<span style="' + titleCss + '">帮助指引</span>' +
      '<br />' +
      '<br />' +
      '<div style="' + contentCss + '">渠道：口碑APP</div>' +
      '<div style="' + contentCss + '">渠道描述：</div>' +
      '<div style="' + contentCss + '">该渠道仅适用于创建了口碑门店的商户使用。商户可以配置一些优惠券活动到口碑店铺页中供顾客领取和使用。</div>' +
      '<div style="' + contentCss + '">请点击渠道方块，进入优惠券活动配置页面。</div>',
    step: 100
  }]
};