export function sampleRouter($stateProvider) {
    'ngInject';

    $stateProvider
        .state('main.tLeftMenu', {
            url: '/tLeftMenu',
            templateUrl: 'app/sample/components/leftMenu/t.leftMenu.html',
            controller: 'TLeftMenuController',
            controllerAs: 'tlmc'
        })
        .state('main.tSideNav', {
            url: '/tSideNav',
            templateUrl: 'app/sample/components/sideNav/t.sideNav.html',
            controller: 'TSideNavController',
            controllerAs: 'tsnc'
        })
        .state('main.tWizard', {
            url: '/tWizard',
            templateUrl: 'app/sample/components/wizard/t.wizard.html',
            controller: 'TWizardController',
            controllerAs: 'twc'
        })
        .state('main.tCounter', {
            url: '/tCounter',
            templateUrl: 'app/sample/components/counter/t.counter.html',
            controller: 'TCounterController',
            controllerAs: 'tcc'
        })
        .state('main.tButton', {
            url: '/tButton',
            templateUrl: 'app/sample/components/button/t.button.html',
            controller: 'TButtonController',
            controllerAs: 'tbc'
        })
        .state('main.tInput', {
            url: '/tInput',
            templateUrl: 'app/sample/components/input/t.input.html',
            controller: 'TInputController',
            controllerAs: 'tic'
        })
        .state('main.tTabGroup', {
            url: '/tTabGroup',
            templateUrl: 'app/sample/components/tab-group/t.tab-group.html',
            controller: 'TTabGroupController',
            controllerAs: 'ttgc'
        });
}