import {
	globalVar
} from '../../index.value';

// All menus, will mapping backend permission ids to display filtered menus
export const MENUS = `[{
	"id": "02f9",
	"displayName": "主页",
	"iconName": "fa fa-home fa-fw",
	"route": "${globalVar.AUTH_URL}#/home",
	"routeName": ["home", "case"],
	"children": []
},
{
	"id": "b448",
	"displayName": "营销中心",
	"iconName": "fa fa-flag fa-fw",
	"route": "",
	"children": [{
		"id": "a118",
		"displayName": "创建新活动",
		"iconName": "",
		"route": "${globalVar.VOUCHER_URL}#/activity/channel",
		"routeName": ["activity.channel", "activity.create", "activity.discount", "activity.consumeSend", "activity.marketing-center.buyextra-management", "activity.marketing-center.upsert-buyextra"],
		"children": []
	},
	{
		"id": "e2d6",
		"displayName": "活动管理",
		"iconName": "",
		"route": "${globalVar.VOUCHER_URL}#/activity/marketing-center/activity-management",
		"routeName": ["activity.marketing-center.activity-management", "activity.channel", "activity.coupon", "activity.weixin", 
						"activity.hi", "activity.laobi", "activity.registration", "activity.share", 
						"activity.birthday", "activity.face", "activity.jdDetail", "activity.jd"],
		"children": []
	},
	{
		"id": "dc4f",
		"displayName": "精准投放",
		"iconName": "",
		"route": "${globalVar.VOUCHER_URL}#/interests/provide",
		"routeName": ["interests.provide", "interests.memberDetail", "interests.send", "interests.detail"],
		"children": []
	},
	{
		"id": "7476",
		"displayName": "营销统计",
		"iconName": "",
		"route": "${globalVar.VOUCHER_URL}#/activity/marketing-center/statistics",
		"routeName": ["activity.marketing-center.statistics", "activity.channelStatistics"],
		"children": []
	},
	{
		"id": "9ed5",
		"displayName": "优惠券核销",
		"iconName": "",
		"route": "${globalVar.VOUCHER_URL}#/activity/verify",
		"routeName": ["activity.verify"],
		"children": []
	}]
},
{
	"id": "9264",
	"displayName": "电子会员",
	"iconName": "fa fa-id-card fa-fw",
	"route": "",
	"children": [{
		"id": "27f9",
		"displayName": "会员卡管理",
		"iconName": "",
		"route": "${globalVar.VOUCHER_URL}#/membercard/management/create",
		"routeName": ["membercard.management.create", "membercard.management.alp", "membercard.management.alpDetail",
						"membercard.management.wxp", "membercard.management.wxpDetail", "membercard.management.cil",
						"membercard.management.cilDetail"],
		"children": []
	},
	{
		"id": "f683",
		"displayName": "会员储值",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "29e9",
			"displayName": "储值规则",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/membercard/balance/rule",
			"routeName": ["membercard.balance.rule"],
			"children": []
		},
		{
			"id": "bcfe",
			"displayName": "储值记录",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/membercard/balance/management",
			"routeName": ["membercard.balance.management"],
			"children": []
		}]
	},
	{
		"id": "gqil",
		"displayName": "付费会员",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "klm2",
			"displayName": "规则配置",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/activity/premium-member/rule-settings",
			"routeName": ["activity.premium-member.rule-settings", "activity.premium-member.upsert-rule"],
			"children": []
		},
		{
			"id": "ompq",
			"displayName": "付费记录",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/activity/premium-member/payment-records",
			"routeName": ["activity.premium-member.payment-records"],
			"children": []
		},
		{
			"id": "o27c",
			"displayName": "效果分析",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/activity/premium-member/payment-analysis",
			"routeName": ["activity.premium-member.payment-analysis"],
			"children": []
		}]
	},
	{
		"id": "97cg",
		"displayName": "会员等级",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "26ul",
			"displayName": "等级设置",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/activity/e-member/member-grade-setting",
			"routeName": ["activity.e-member.member-grade-setting","activity.e-member.member-rule-setting"],
			"children": []
		},
		{
			"id": "xdsy",
			"displayName": "升级奖励",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/activity/e-member/member-upgrade-setting",
			"routeName": ["activity.e-member.member-upgrade-setting","activity.e-member.member-upgrade-rule-setting"],
			"children": []
		}]
	}]
},
{
	"id": "7410",
	"displayName": "顾客中心",
	"iconName": "fa fa-user fa-fw",
	"route": "",
	"children": [{
		"id": "p52t",
		"displayName": "顾客管理",
		"iconName": "",
		"route": "${globalVar.AUTH_URL}#/customer-center/customer-manage",
		"routeName": ["template.customer-center.customer-manage", "template.customer-center.customer-detail"],
		"children": []
	},
	{
		"id": "2dkz",
		"displayName": "顾客画像",
		"iconName": "",
		"route": "${globalVar.AUTH_URL}#/customer-center/customer-portrait",
		"routeName": ["template.customer-center.customer-portrait"],
		"children": []
	},
	{
		"id": "q9o4",
		"displayName": "顾客趋势",
		"iconName": "",
		"route": "${globalVar.AUTH_URL}#/customer-center/customer-trend",
		"routeName": ["template.customer-center.customer-trend"],
		"children": []
	}]
},
{
	"id": "71d3",
	"displayName": "服务中心",
	"iconName": "fa fa-user-cog fa-fw",
	"route": "",
	"children": [{
		"id": "505e",
		"displayName": "全部服务",
		"iconName": "",
		"route": "${globalVar.AUTH_URL}#/service-center/all-services",
		"routeName": ["template.service-center.all-services"],
		"children": []
	},
	{
		"id": "6ph8",
		"displayName": "灵犀拼团",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "aYQv",
			"displayName": "商品管理",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/service-center/lingxi-pin/product-management",
			"routeName": ["template.service-center.lingxi-pin.product-management"],
			"children": []
		},
		{
			"id": "SLx3",
			"displayName": "新建拼团",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/service-center/lingxi-pin/pin-management",
			"routeName": ["template.service-center.lingxi-pin.pin-management","template.service-center.lingxi-pin.upsert-pin"],
			"children": []
		},
		{
			"id": "JPed",
			"displayName": "广告管理",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/service-center/lingxi-pin/banner-management",
			"routeName": ["template.service-center.lingxi-pin.banner-management","template.service-center.lingxi-pin.upsert-banner"],
			"children": []
		},
		{
			"id": "EhQC",
			"displayName": "自提管理",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/service-center/lingxi-pin/refund-management",
			"routeName": ["template.service-center.lingxi-pin.refund-management"],
			"children": []
		},
		{
			"id": "HmXC",
			"displayName": "订单管理",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/service-center/lingxi-pin/order-management",
			"routeName": ["template.service-center.lingxi-pin.order-management", "template.service-center.lingxi-pin.order-detail"],
			"children": []
		}]
	},
	{
		"id": "adf2",
		"displayName": "扫码点餐",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "e4p8",
			"displayName": "菜品库",
			"iconName": "",
			"route": "${globalVar.TASTY_URL}#/order/hq",
			"routeName": ["order.hq"],
			"children": []
		},
		{
			"id": "5q67",
			"displayName": "集团菜谱",
			"iconName": "",
			"route": "${globalVar.TASTY_URL}#/order/menu-management/main-menus",
			"routeName": ["order.menu-management.main-menus", "order.gp", "order.menu-management.publish-detail"],
			"children": []
		},
		{
			"id": "8kbi",
			"displayName": "门店菜谱",
			"iconName": "",
			"route": "${globalVar.TASTY_URL}#/order/menu",
			"routeName": ["order.menu"],
			"children": []
		},
		{
			"id": "b81a",
			"displayName": "桌台管理",
			"iconName": "",
			"route": "${globalVar.TASTY_URL}#/order/tables",
			"routeName": ["order.tables"],
			"children": []
		},
		{
			"id": "ac23",
			"displayName": "门店设置",
			"iconName": "",
			"route": "${globalVar.TASTY_URL}#/order/merInfo",
			"routeName": ["order.merInfo"],
			"children": []
		},
		{
			"id": "89c4",
			"displayName": "订单管理",
			"iconName": "",
			"route": "${globalVar.TASTY_URL}#/order/manage",
			"routeName": ["order.manage", "order.detail"],
			"children": []
		},
		{
			"id": "pehk",
			"displayName": "订单数据",
			"iconName": "",
			"route": "${globalVar.TASTY_URL}#/order/menu-management/order-info",
			"routeName": ["order.menu-management.order-info"],
			"children": []
		},
		{
			"id": "e495",
			"displayName": "热卖榜",
			"iconName": "",
			"route": "${globalVar.TASTY_URL}#/order/ordering-management/hotsale-management",
			"routeName": ["order.ordering-management.hotsale-management","order.ordering-management.upsert-hotsale"],
			"children": []
		}]
	},
	{
		"id": "mhnx",
		"displayName": "评价管理",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "7xjl",
			"displayName": "规则配置",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/service-center/evaluation-management/rule-configuration",
			"routeName": ["template.service-center.evaluation-management.rule-configuration","template.service-center.evaluation-management.upsert-rule"],
			"children": []
		},
		{
			"id": "4x5u",
			"displayName": "评价内容",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/service-center/evaluation-management/evaluation-list",
			"routeName": ["template.service-center.evaluation-management.evaluation-list", "template.service-center.evaluation-management.evaluation-detail"],
			"children": []
		},
		{
			"id": "w58a",
			"displayName": "评价统计",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/service-center/evaluation-management/evaluation-statistics",
			"routeName": ["template.service-center.evaluation-management.evaluation-statistics"],
			"children": []
		}]
	},
	{
		"id": "46a2",
		"displayName": "积分商城",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "292f",
			"displayName": "礼品管理",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/scoremall/management-gift?channel=9",
			"routeName": ["scoremall.management-gift","scoremall.discount"],
			"children": []
		},
		{
			"id": "050e",
			"displayName": "广告管理",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/scoremall/management-ad?channel=10",
			"routeName": ["scoremall.management-ad","scoremall.ad"],
			"children": []
		},
		{
			"id": "7c75",
			"displayName": "兑换查询",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/scoremall/history",
			"routeName": ["scoremall.history"],
			"children": []
		}]
	},
	{
		"id": "8rsu",
		"displayName": "员工拓客",
		"iconName": "",
		"route": "${globalVar.TASTY_URL}#/customer-extension",
		"routeName": ["customer-extension"],
		"children": []
	},
	{
		"id": "qf3n",
		"displayName": "智慧大屏",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "8km1",
			"displayName": "设备管理",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/activity/smart-screen/device-management",
			"routeName": ["activity.smart-screen.device-management", "activity.smart-screen.device-create"],
			"children": []
		},
		{
			"id": "c72i",
			"displayName": "智慧营销",
			"iconName": "",
			"route": "${globalVar.VOUCHER_URL}#/activity/smart-screen/marketing",
			"routeName": ["activity.smart-screen.marketing", "activity.smart-screen.send", "activity.banner", "activity.marketigCoupon"],
			"children": []
		}]
	}]
},
{
	"id": "5eb3",
	"displayName": "VIP服务",
	"iconName": "fas fa-gem fa-fw",
	"route": "${globalVar.AUTH_URL}#/account/vipServices",
	"routeName": ["vipServices"],
	"children": []
},
{
	"id": "60f8",
	"displayName": "商户中心",
	"iconName": "fas fa-store fa-fw",
	"route": "",
	"children": [{
		"id": "0187",
		"displayName": "我的账户",
		"iconName": "",
		"route": "${globalVar.AUTH_URL}#/merchant/accountCenter",
		"routeName": ["merchant-accountCenter", "merchant-purchaseSmsWizard"],
		"children": []
	},
	{
		"id": "37f3",
		"displayName": "门店管理",
		"iconName": "",
		"route": "${globalVar.AUTH_URL}#/merchant-center/store-management",
		"routeName": ["template.merchant-center.store-management.store-list", "template.merchant-center.store-management.upsert-store", 
		"template.merchant-center.store-management.store-detail"],
		"children": []
	},
	{
		"id": "5xi8",
		"displayName": "店铺装修",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "yc8e",
			"displayName": "首页装修",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/merchant-center/home-decorate",
			"routeName": ["template.merchant-center.home-decorate","template.merchant-center.home-setting"],
			"children": []
		},
		{
			"id": "bntv",
			"displayName": "导航装修",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/merchant-center/route-decorate",
			"routeName": ["template.merchant-center.route-decorate","template.merchant-center.route-setting"],
			"children": []
		},
		{
			"id": "wmfx",
			"displayName": "广告装修",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/merchant-center/adverte-decorate",
			"routeName": ["template.merchant-center.adverte-decorate","template.merchant-center.order-list", "template.merchant-center.order-setting",
				"template.merchant-center.adverte-list","template.merchant-center.adverte-setting"],
			"children": []
		}]
	},
	{
		"id": "d42f",
		"displayName": "权限管理",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "5e13",
			"displayName": "员工管理",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/privilege/employees",
			"routeName": ["template.privilege.employees"],
			"children": []
		},
		{
			"id": "f5a3",
			"displayName": "角色权限",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/privilege/roles",
			"routeName": ["template.privilege.roles"],
			"children": []
		}]
	}]
},
{
	"id": "beup",
	"displayName": "数据中心",
	"iconName": "fab fa-hotjar fa-fw",
	"route": "",
	"children": [{
		"id": "5ja4",
		"displayName": "流量分析",
		"iconName": "",
		"route": "",
		"children": [{
			"id": "69n2",
			"displayName": "流量概览",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/data-center/data-list",
			"routeName": ["template.data-center.data-list"],
			"children": []
		},{
			"id": "s0c5",
			"displayName": "店铺路径",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/data-center/data-path",
			"routeName": ["template.data-center.data-path"],
			"children": []
		},
		{
			"id": "p27d",
			"displayName": "页面分析",
			"iconName": "",
			"route": "${globalVar.AUTH_URL}#/data-center/data-page",
			"routeName": ["template.data-center.data-page"],
			"children": []
		}]
	},{
		"id": "278w",
		"displayName": "灵犀BI",
		"iconName": "",
		"route": "https://metabase.xunliandata.com/",
		"children": []
	}]
},
{
	"id": "709b",
	"displayName": "开放接口",
	"iconName": "fa fa-cog fa-fw",
	"route": "",
	"children": [{
		"id": "b421",
		"displayName": "智能推荐",
		"iconName": "",
		"route": "${globalVar.SKIPTONEUSTAR_URL}#/recommend/dev",
		"routeName": ["recommend.dev", "recommend.manage", "recommend.product", "recommend.custom", "recommend.customDev",
						"recommend.productDev", "recommend.select"],
		"children": []
	},
	{
		"id": "ef2c",
		"displayName": "会员权益",
		"iconName": "",
		"route": "${globalVar.AUTH_URL}#/setting/memberbenifit",
		"routeName": ["setting-memberbenifit"],
		"children": []
	}]
}]`;